# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "biliup"
version = "0.1.9"
description = "Upload video to bilibili."
license = "MIT OR Apache-2.0"
resolver = "2"

[profile.minimal]
opt-level = "s"
panic = "abort"
inherits = "release"

[profile.release]
lto = true
codegen-units = 1
strip = true

[dependencies.anyhow]
version = "1.0"

[dependencies.base64]
version = "0.13.0"

[dependencies.bytes]
version = "1.1.0"

[dependencies.clap]
version = "3.0.0"
features = ["derive"]

[dependencies.cookie]
version = "0.15.1"

[dependencies.cookie_store]
version = "0.15.0"

[dependencies.dialoguer]
version = "0.9.0"

[dependencies.futures]
version = "0.3.17"

[dependencies.glob]
version = "0.3.0"

[dependencies.image]
version = "0.23.14"

[dependencies.indicatif]
version = "0.17.0-rc"

[dependencies.md-5]
version = "0.9.1"

[dependencies.qrcode]
version = "0.12.0"

[dependencies.rand]
version = "0.8.4"

[dependencies.reqwest-middleware]
version = "0.1.1"

[dependencies.reqwest-retry]
version = "0.1.1"

[dependencies.reqwest_cookie_store]
version = "0.2.0"

[dependencies.rsa]
version = "0.5.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_urlencoded]
version = "0.7"

[dependencies.serde_yaml]
version = "0.8"

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.typed-builder]
version = "0.9.1"

[dependencies.url]
version = "2.2.2"

[target."cfg(any(all(target_arch=\"aarch64\", target_vendor=\"unknown\", target_os=\"linux\"), target_env=\"musl\"))".dependencies.reqwest]
version = "0.11"
features = [
    "json",
    "stream",
    "rustls-tls",
]
default-features = false

[target."cfg(not(any(all(target_arch=\"aarch64\", target_vendor=\"unknown\", target_os=\"linux\"), target_env=\"musl\")))".dependencies.reqwest]
version = "0.11"
features = [
    "stream",
    "json",
]
